Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Fetch receipt by id

GET
/dr/v1/receipts/{receiptID}
curl --request GET \
--url https://sender.sandbox-api.kivra.com/dr/v1/receipts/example

Fetch a single receipt matching the passed receipt id. Returns the original receipt unmodified.

Access scope

  • PARTNER
  • CHAIN
  • STORE
receiptID
required
string

Receipt ID

Receipt successfully fetched

Media typeapplication/json
object
Examplegenerated
{}

Bad request

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40010",
"short_message": "bad request",
"long_message": "unknown url paramter"
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40100",
"short_message": "unauthorized",
"long_message": "permission denied"
}

Not found

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleresource_not_found
{
"error_code": "40400",
"short_message": "not found",
"long_message": "the requested resource could not be found"
}

Internal server error

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Example
{
"error_code": "50000",
"short_message": "internal server error",
"long_message": "unknown error ocurred"
}